curl --request PATCH \
--url https://app.launchdarkly.com/api/v2/webhooks/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"op": "replace",
"path": "/on",
"value": false
}
]
'import requests
url = "https://app.launchdarkly.com/api/v2/webhooks/{id}"
payload = [
{
"op": "replace",
"path": "/on",
"value": False
}
]
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([{op: 'replace', path: '/on', value: false}])
};
fetch('https://app.launchdarkly.com/api/v2/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_links": {},
"_id": "57be1db38b75bf0772d11384",
"url": "http://www.example.com",
"on": true,
"tags": [
"examples"
],
"name": "Example hook",
"secret": "frobozz",
"statements": [
{
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
]
}
],
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
}
}{
"code": "invalid_request",
"message": "Invalid request body"
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "not_found",
"message": "Invalid resource identifier"
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}Update webhook
Update a webhook’s settings. Updating webhook settings uses a JSON patch representation of the desired changes. To learn more, read Updates.
Authorizations
Path Parameters
The ID of the webhook to update
Body
Response
Webhook response
The location and content type of related resources
Show child attributes
Show child attributes
The ID of this webhook
"57be1db38b75bf0772d11384"
The URL to which LaunchDarkly sends an HTTP POST payload for this webhook
"http://www.example.com"
Whether or not this webhook is enabled
true
List of tags for this webhook
["examples"]
A human-readable name for this webhook
"Example hook"
The secret for this webhook
"frobozz"
Represents a Custom role policy, defining a resource kinds filter the webhook responds to.
Show child attributes
Show child attributes
Details on the allowed and denied actions for this webhook
Show child attributes
Show child attributes